Bug 487975 - sane-backends doesn't ship with an xinetd conf
sane-backends doesn't ship with an xinetd conf
Status: CLOSED DUPLICATE of bug 1091566
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 520634
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-01 17:43 EST by Xavier Bachelot
Modified: 2016-10-07 12:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-07 12:16:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xinetd conf for saned (310 bytes, text/plain)
2009-03-01 17:43 EST, Xavier Bachelot
no flags Details

  None (edit)
Description Xavier Bachelot 2009-03-01 17:43:10 EST
Created attachment 333668 [details]
xinetd conf for saned

Description of problem:
sane-backends doesn't ship with an xinetd conf. One must be written to allow network scanning.

Version-Release number of selected component (if applicable):
sane-backends-1.0.19-12.fc10.i386

How reproducible:
Always

Additional info:
Dropping the attached file in /etc/xinetd.d and enabling the service is enough.
Comment 1 Xavier Bachelot 2009-08-28 18:55:21 EDT
Could this file be added to the package, please ?
Comment 2 Nils Philippsen 2009-08-31 04:53:53 EDT
Have you tested this with SELinux enabled?
Comment 3 Nils Philippsen 2009-08-31 05:07:33 EDT
BTW: sorry for not responding earlier, I kinda missed it when you first reported it...
Comment 4 Xavier Bachelot 2009-08-31 05:15:06 EDT
No, I did not test this with SE Linux. Do you want me to try ? I'm not very SE Linux proficient, so I can do a basic test and simply report whether it works or not, but it'd took me some time to write the SE Linux rule if needed. 

No pb about the delay to answer, I understand it's sometime hard to cope with the mail/bugzilla load.
Comment 5 Nils Philippsen 2009-08-31 08:05:02 EDT
If you currently have set SELinux to permissive mode, please check it out, it would be very helpful to me to know if it works (are you still on F-10 BTW?). If you have it switched off SELinux, you needn't bother because your filesystem is likely not labeled correctly (and relabeling takes quite some time).
Comment 6 Xavier Bachelot 2009-08-31 08:41:55 EDT
SELinux is disabled, I'll switch it to permissive, so it'll get activated at next reboot (I need to switch kernel anyway). And yes, I'm still on F-10.

Shouldn't the bug status be changed to ASSIGNED ?
Comment 7 Nils Philippsen 2009-08-31 12:12:36 EDT
(In reply to comment #6)

> Shouldn't the bug status be changed to ASSIGNED ?  

Yes.
Comment 8 Xavier Bachelot 2009-08-31 18:09:07 EDT
ok, I enabled SELinux in permissive mode. There are some avc denied messages, but none from sane.
Comment 9 Nils Philippsen 2009-09-01 04:15:37 EDT
Thanks, could you repeat that in enforcing mode (and restart xinetd to be sure after that)? Permissive mode isn't really conclusive to say that it works properly... I'll try it here on F-11 meanwhile.
Comment 10 Xavier Bachelot 2009-09-01 06:04:10 EDT
I'm bit reluctant to go to enforcing as this machine is a multi-purpose home-server, and according to the logs, going to enforcing will break a lot of stuff... I guess you'll have to rely on your own testing, sorry about that :-(
Comment 11 Nils Philippsen 2009-09-01 07:03:33 EDT
No problem.
Comment 12 Nils Philippsen 2009-09-01 10:22:35 EDT
It works here running as root, but I'd like to avoid this requirement. I'll submit an allocation request for a "saned" user and group, then I need to ensure that this user gets access to the scanner device files, mode and SELinux-wise.
Comment 13 Bug Zapper 2009-11-18 06:15:52 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Paul Jakma 2009-11-27 10:38:45 EST
This still applies to F11 and F12. Please bump version to block the annoying auto-closer.
Comment 15 Xavier Bachelot 2009-12-14 16:22:40 EST
This bug still apply to F12.
According to https://bugzilla.redhat.com/show_bug.cgi?id=520634 the saned user was created. Is there anything else blocking this ? (except -ENOTIME indeed :-)
Comment 16 Xavier Bachelot 2010-03-28 19:09:24 EDT
Nils, any update ?
Comment 17 Nils Philippsen 2010-03-31 07:18:48 EDT
Need to test this somewhere with a scanner.
Comment 18 Xavier Bachelot 2010-06-15 16:22:11 EDT
Hi Nils, did you had time to give this a try ? I can provide feedback if you point me at a scratch build or something. Thanks in advance.
Comment 19 Martin Dengler 2012-03-02 12:00:52 EST
(In reply to comment #17)
> Need to test this somewhere with a scanner.

I'm happy to test too, if you're still interested in this.
Comment 20 Nils Philippsen 2016-10-07 12:16:59 EDT
Totally dropped the ball on this, sorry.

I'll close this as a duplicate of bug #1091566 which deals with this using systemd rather than xinetd.

*** This bug has been marked as a duplicate of bug 1091566 ***

Note You need to log in before you can comment on or make changes to this bug.